moeoBinaryMetric(3)

NAME
moeoBinaryMetric - Base class for binary metrics.

SYNOPSIS

#include <moeoMetric.h>

Inherits eoBF< A1, A2, R >< A1, A2, R >, and moeoMetric.

Inherited by moeoSolutionVsSolutionBinaryMetric< ObjectiveVector, R >, moeoSolutionVsSolutionBinaryMetric< ObjectiveVector, double >, moeoVectorVsVectorBinaryMetric< ObjectiveVector, R >, and moeoVectorVsVectorBinaryMetric< ObjectiveVector, double >.

Detailed Description

  template<class A1, class A2, class R> class moeoBinaryMetric< A1, A2, R >
Base class for binary metrics.

Definition at line 37 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.